> ## Documentation Index
> Fetch the complete documentation index at: https://docs.graphiant.com/llms.txt
> Use this file to discover all available pages before exploring further.

# /v1/device/routing/rib/route-count

> Get BGP VRF installed route count

## OpenAPI

````json POST /v1/device/routing/rib/route-count
{
  "openapi": "3.0.0",
  "info": {
    "title": "Graphiant APIs",
    "version": "1.0.0",
    "description": "Graphiant API documentation."
  },
  "servers": [
    {
      "url": "https://api.graphiant.com"
    }
  ],
  "security": [
    {
      "jwtAuth": []
    }
  ],
  "tags": [],
  "paths": {
    "/v1/device/routing/rib/route-count": {
      "post": {
        "security": [
          {
            "jwtAuth": []
          }
        ],
        "parameters": [
          {
            "in": "header",
            "name": "Authorization",
            "required": true,
            "schema": {
              "type": "string"
            },
            "description": "Bearer token. Format: Bearer <your_token_here>"
          },
          {
            "name": "deviceId",
            "in": "query",
            "description": "Valid configured device ID > 0",
            "required": true,
            "schema": {
              "type": "integer",
              "format": "int64",
              "example": 1234567891011
            },
            "example": 1000000
          },
          {
            "name": "vrfName",
            "in": "query",
            "description": "Valid configured VRF names",
            "required": true,
            "schema": {
              "type": "array",
              "items": {
                "type": "string",
                "example": "management"
              },
              "example": [
                "management"
              ]
            },
            "style": "form",
            "explode": true
          }
        ],
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/v1DeviceRoutingRibRouteCountPostRequest"
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/v1DeviceRoutingRibRouteCountPostResponse"
                }
              }
            }
          }
        },
        "description": "Get BGP VRF installed route count"
      }
    }
  },
  "components": {
    "schemas": {
      "v1DeviceRoutingRibRouteCountPostRequest": {
        "type": "object",
        "properties": {},
        "additionalProperties": false
      },
      "v1DeviceRoutingRibRouteCountPostResponse": {
        "type": "object",
        "properties": {
          "counts": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/v1DeviceRoutingRibRouteCountPostResponseRouteCount"
            }
          }
        },
        "additionalProperties": false
      },
      "v1DeviceRoutingRibRouteCountPostResponseRouteCount": {
        "type": "object",
        "properties": {
          "routeCount": {
            "type": "integer",
            "format": "int64",
            "example": 1234,
            "description": "Total installed route count in a vrf (required)"
          },
          "vrfName": {
            "type": "string",
            "example": "management",
            "description": "Valid configured VRF name (required)"
          }
        },
        "additionalProperties": false
      }
    },
    "securitySchemes": {
      "jwtAuth": {
        "type": "apiKey",
        "in": "header",
        "name": "authorization",
        "description": "Use `Bearer <token>`"
      }
    }
  }
}
````

